--- title: "Upgrade the vIPS Controller Software" slug: "upgrade-the-vips-controller-software-2" tags: ["IPS 11.1.x", "Reference"] updated: 2026-11-19T12:57:44Z published: 2026-11-19T12:57:44Z canonical: "docs.trellix.com/upgrade-the-vips-controller-software-2" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.trellix.com/llms.txt > Use this file to discover all available pages before exploring further. # Upgrade the vIPS Controller Software This URL upgrades the vIPS controller software. ### Resource URL PUT /cloud/connector//upgrade ### Request Parameters **URL Parameters** | Field Name | Description | Data Type | Mandatory | | --- | --- | --- | --- | | `id` | Controller id | Number | Yes | **Payload Request Parameters** | Field Name | Description | Data Type | Mandatory | | --- | --- | --- | --- | | `MultiPart` | Holds the body part objects | Object | Yes | Details of BodyPart[0]: | Field Name | Description | Data Type | Mandatory | | --- | --- | --- | --- | | `BodyPart[0]` | Holds the file name detail | Application/json object | Yes | Details of object in BodyPart[0]: | Field Name | Description | Data Type | Mandatory | | --- | --- | --- | --- | | `fileName` | Name of the file | String | Yes | Details of BodyPart[1]: | Field Name | Description | Data Type | Mandatory | | --- | --- | --- | --- | | `BodyPart[1]` | Holds the file as input stream | Application/octet-stream | Yes | Details of .tar.gz file: | Field Name | Description | Data Type | Mandatory | | --- | --- | --- | --- | | `File` | Software file input stream | Byte array input stream | Yes | ### Response Parameters Following fields are returned if the request parameters are correct, otherwise error details are returned: | Field Name | Description | Data Type | | --- | --- | --- | | `status` | Set to 1 if the update was successful | Number | ### Example **Request** PUT [https:///sdkapi/cloud/connector/101/upgrade](https://<NSM_IP>/sdkapi/cloud/connector/101/upgrade) **Response** ``` { " status ": 1 } ``` ### Error Information Following error codes are returned by this URL: | No | HTTP Error Code | SDK API errorId | SDK API errorMessage | | --- | --- | --- | --- | | 1 | 500 | 1001 | Internal error message | | 2 | 400 | 5301 | Invalid file type given for import: the file name does not have any extension | | 3 | 400 | 5301 | Invalid file type given for import expected is .tar.gz while was provided. |